package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.reasons.refusal.SysReasonsRefusalSearchDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.system.reasons.refusal.*;
import com.crm.rely.backend.core.exception.ServiceException;

import java.util.Map;

public interface SysReasonsRefusalService {

    void add(SysReasonsRefusalAddEntity entity) throws ServiceException;

    void delete(SysReasonsRefusalDeleteEntity entity) throws ServiceException;

    void update(SysReasonsRefusalUpdateEntity entity) throws ServiceException;

    ResultWithPagerDto<SysReasonsRefusalSearchDto> searchPageList(SysReasonsRefusalSearchPageEntity entity) throws ServiceException;

    SysReasonsRefusalSearchDto searchSingle(SingleLongEntity entity) throws ServiceException;

    BaseResultDto<Map<String, SysReasonsRefusalSearchDto>> searchList(SysReasonsRefusalSearchEntity entity) throws ServiceException;
}
